
%global meadversion 1.1.2
%global namedversion 1.1.2.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}glassfish-json}
%{!?scl:%global pkg_name %{name}}

%global artifact_name javax.json

%define maven_version 1.1.2.redhat-1

Name:           %{?scl_prefix}glassfish-json
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JSR 374:Java API for Processing JSON RI
Group:          Development/Java

%if %with mead
Source100: json-1.1.2.redhat-1-scm-sources.zip
Source102: json-1.1.2.redhat-1-project-sources.tar.gz
Source103: json-1.1.2.redhat-1.pom
Source104: javax.json-1.1.2.redhat-1-sources.jar
Source105: javax.json-1.1.2.redhat-1.pom
Source106: javax.json-1.1.2.redhat-1-javadoc.jar
Source107: javax.json-1.1.2.redhat-1.jar
Source108: jsonp-jaxrs-1.1.2.redhat-1.jar
Source109: jsonp-jaxrs-1.1.2.redhat-1.pom
Source110: jsonp-jaxrs-1.1.2.redhat-1-javadoc.jar
Source111: jsonp-jaxrs-1.1.2.redhat-1-sources.jar
Source112: javax.json-api-1.1.2.redhat-1.jar
Source113: javax.json-api-1.1.2.redhat-1-sources.jar
Source114: javax.json-api-1.1.2.redhat-1.pom
Source115: javax.json-api-1.1.2.redhat-1-javadoc.jar
%endif

License:        CDDL-1.0 or GPLv2 with exceptions
URL:            http://jsonp.java.net
%if 0
Requires:       %{?scl_prefix_eap}javax.inject >= 0:1
Requires:       %{?scl_prefix_eap}cdi-api >= 0:1.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/glassfish-json-%{namedversion}-%{release}-root

%description
JSR 374:Java API for Processing JSON RI.

%if %with javadoc
%package javadoc
Summary:        Javadoc for glassfish-json
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n glassfish-json -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}-javadoc.jar
%endif
%if 0
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}-sources.jar
%endif

%{__cp} -p %{_sourcedir}/%{artifact_name}-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact_name}-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/%{artifact_name}-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact_name}-api-%{namedversion}-javadoc.jar
%endif
%if 0
%{__cp} -p %{_sourcedir}/%{artifact_name}-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact_name}-api-%{namedversion}-sources.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/glassfish-json-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact_name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{artifact_name}-%{namedversion} -x META-INF/\*
%{__ln_s} glassfish-json-%{namedversion} %{buildroot}%{_javadocdir}/glassfish-json
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}glassfish-json
%defattr(0644,root,root,0755)
%doc bundles/ri/src/main/resources/LICENSE.txt  bundles/ri/src/main/resources/README.txt
%{_javadir}/%{artifact_name}-%{namedversion}.jar
%{_javadir}/%{artifact_name}.jar
%if %with javadoc
%{_javadir}/%{artifact_name}-%{namedversion}-javadoc.jar
%{_javadir}/%{artifact_name}-javadoc.jar
%endif
%if 0
%{_javadir}/%{artifact_name}-%{namedversion}-sources.jar
%{_javadir}/%{artifact_name}-sources.jar
%endif

%{_javadir}/%{artifact_name}-api-%{namedversion}.jar
%{_javadir}/%{artifact_name}-api.jar
%if %with javadoc
%{_javadir}/%{artifact_name}-api-%{namedversion}-javadoc.jar
%{_javadir}/%{artifact_name}-api-javadoc.jar
%endif
%if 0
%{_javadir}/%{artifact_name}-api-%{namedversion}-sources.jar
%{_javadir}/%{artifact_name}-api-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{artifact_name}-%{namedversion}
%{_javadocdir}/%{artifact_name}
%endif

%changelog
* Thu Jul 05 2018 Permaine Cheung <pcheung@redhat.com> - 1.1.2-1.redhat_1.1
- Wrapper for EAP 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.4-4.redhat_1.1
- Fix license (JBEAP-13468)

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.4-3.redhat_1.1
- Fix license (JBEAP-13468

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.4-2.redhat_1.1
- Fix license (JBEAP-13468)

* Tue Feb 07 2017 Petr Sakar <psakar@redhat.com> - 1.0.4-1.redhat_1.1
- upgrade to 1.0.4.redhat-1

* Tue Aug 18 2015 Yong Yang <yyang@redhat.com> - 1.0.3-1.redhat_1.1
- Wrapper build

* Tue Aug 18 2015 Yong Yang <yyang@redhat.com> - 1.0.3-1.Final_redhat_1.1
- Initial build

